View Issue Details

IDProjectCategoryView StatusLast Update
0001058OpenMPT[All Projects] User Interfacepublic2017-11-30 19:58
ReporterblimeyAssigned ToSaga Musix 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindowsOS Version10
Product VersionOpenMPT 1.27.02.00 / libopenmpt 0.3.2/0.3.3 (upgrade first) 
Target VersionOpenMPT 1.27.03.00 / libopenmpt 0.3.4 (upgrade first)Fixed in VersionOpenMPT 1.27.03.00 / libopenmpt 0.3.4 (upgrade first) 
Summary0001058: Refresh issue when inserting plugins
Description

The "Effect" is displayed for a channel is not updated immediately, when a plugin is inserted

Steps To Reproduce

File -> New -> Open MPT Module
Select a plugin for FX1
Assign FX1 as the Effect for Channel 1
Insert an empty plugin slot before FX1
Effect on Channel 1 still displays as "FX1: Plugin Name"

Additional Information

You can change tab, and then return to look at the channel and the Effect is displayed correctly. So this is just a refresh issue.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-11-11 13:54

administrator   ~0003329

Fixed in r9252, soon available for testing at https://builds.openmpt.org/builds/index.html

blimey

blimey

2017-11-30 19:56

reporter   ~0003369

Confirmed working as expected in 1.28.00.04

Issue History

Date Modified Username Field Change
2017-11-08 21:52 blimey New Issue
2017-11-08 23:31 Saga Musix Assigned To => Saga Musix
2017-11-08 23:31 Saga Musix Status new => assigned
2017-11-11 13:54 Saga Musix Status assigned => feedback
2017-11-11 13:54 Saga Musix Target Version => OpenMPT 1.27.03.00 / libopenmpt 0.3.4 (upgrade first)
2017-11-11 13:54 Saga Musix Note Added: 0003329
2017-11-30 19:56 blimey Note Added: 0003369
2017-11-30 19:56 blimey Status feedback => assigned
2017-11-30 19:58 Saga Musix Status assigned => resolved
2017-11-30 19:58 Saga Musix Resolution open => fixed
2017-11-30 19:58 Saga Musix Fixed in Version => OpenMPT 1.27.03.00 / libopenmpt 0.3.4 (upgrade first)